#include <sys/types.h>
#include <sys/socket.h>
#include <errno.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include "global.h"
#include "md5.h"

/* Hardcoded sender address */
#define SENDER "magnus.gustavsson.se"

#define CHUNK_SIZE 10000
#define MAX_CONNECTIONS 16
#define PORT "60030"
#define SPOOL_PATH "/tmp/spool"
#define UNIX_SOCKET "/tmp/.mep_socket"

typedef struct tsd {
  MD5_CTX context;
  int desc, send;
} tsd_t;

extern char *getstring(int, const int);
extern char *strip(char *, char);
extern char *getverify(void);
extern void scanheader(int);
extern void writeheader(int);
extern void clearheader(void);
extern void terminate(void);
extern void unixsocket(void);
extern int getmxsocket(char *);
extern int mep_init(char *);
extern void mep_notify(char *);
extern void mep_quit(char *);
extern void mep_send(char *);
extern void mep_verify(char *);
extern void sendout(char *);
